From kernel-janitors-bounces@lists.osdl.org Thu Sep  8 00:00:48 2005
Date: Thu, 8 Sep 2005 08:55:53 +0200
From: Christophe Lucas <clucas@rotomalug.org>
To: kernel-janitors@lists.osdl.org
Message-ID: <20050908065553.GA26072@rhum.iomeda.fr>
Subject: printk : Documentation/firmware_class/firmware_sample_driver.c

printk() calls should include appropriate KERN_* constant.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 Documentation/firmware_class/firmware_sample_driver.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- gregkh-2.6.orig/Documentation/firmware_class/firmware_sample_driver.c	2005-08-28 16:41:01.000000000 -0700
+++ gregkh-2.6/Documentation/firmware_class/firmware_sample_driver.c	2005-09-09 14:11:01.000000000 -0700
@@ -32,14 +32,14 @@ static void sample_firmware_load(char *f
 	u8 buf[size+1];
 	memcpy(buf, firmware, size);
 	buf[size] = '\0';
-	printk("firmware_sample_driver: firmware: %s\n", buf);
+	printk(KERN_INFO "firmware_sample_driver: firmware: %s\n", buf);
 }
 
 static void sample_probe_default(void)
 {
 	/* uses the default method to get the firmware */
         const struct firmware *fw_entry;
-	printk("firmware_sample_driver: a ghost device got inserted :)\n");
+	printk(KERN_INFO "firmware_sample_driver: a ghost device got inserted :)\n");
 
         if(request_firmware(&fw_entry, "sample_driver_fw", &ghost_device)!=0)
 	{
@@ -61,7 +61,7 @@ static void sample_probe_specific(void)
 
 	/* NOTE: This currently doesn't work */
 
-	printk("firmware_sample_driver: a ghost device got inserted :)\n");
+	printk(KERN_INFO "firmware_sample_driver: a ghost device got inserted :)\n");
 
         if(request_firmware(NULL, "sample_driver_fw", &ghost_device)!=0)
 	{
@@ -83,7 +83,7 @@ static void sample_probe_async_cont(cons
 		return;
 	}
 
-	printk("firmware_sample_driver: device pointer \"%s\"\n",
+	printk(KERN_INFO "firmware_sample_driver: device pointer \"%s\"\n",
 	       (char *)context);
 	sample_firmware_load(fw->data, fw->size);
 }
